JUCE: Label::Listener Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Label::Listener Class Referenceabstract
juce_gui_basics » widgets

A class for receiving events from a Label. More...

`#include <juce_Label.h>`

## Public Member Functions
virtual | ~Listener ()=default
| Destructor.
virtual void | labelTextChanged (Label *labelThatHasChanged)=0
| Called when a Label's text has changed.
virtual void | editorShown (Label *, TextEditor &)
| Called when a Label goes into editing mode and displays a TextEditor.
virtual void | editorHidden (Label *, TextEditor &)
| Called when a Label is about to delete its TextEditor and exit editing mode.

## Detailed Description

A class for receiving events from a Label.

You can register a Label::Listener with a Label using the Label::addListener() method, and it will be called when the text of the label changes, either because of a call to Label::setText() or by the user editing the text (if the label is editable).

See also
  Label::addListener, Label::removeListener

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Label::Listener::~Listener | ( |  | ) |
| virtualdefault

Destructor.

## Member Function Documentation

## ◆ labelTextChanged()

virtual void Label::Listener::labelTextChanged | ( | Label * | labelThatHasChanged | ) |
| pure virtual

Called when a Label's text has changed.

## ◆ editorShown()

virtual void Label::Listener::editorShown | ( | Label * | ,
|  | TextEditor & |
| ) |  |
| virtual

Called when a Label goes into editing mode and displays a TextEditor.

## ◆ editorHidden()

virtual void Label::Listener::editorHidden | ( | Label * | ,
|  | TextEditor & |
| ) |  |
| virtual

Called when a Label is about to delete its TextEditor and exit editing mode.

The documentation for this class was generated from the following file:

- juce_Label.h